Debian Bug report logs - #363126
coreutils who automaticallly invokes --lookup

version graph

Package: coreutils; Maintainer for coreutils is Michael Stone <mstone@debian.org>; Source for coreutils is src:coreutils.

Reported by: "Mundi King" <kingmundi@hotmail.com>

Date: Mon, 17 Apr 2006 19:33:05 UTC

Severity: normal

Found in version coreutils/5.2.1-2

Fixed in version coreutils/5.96-3

Done: Michael Stone <mstone@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#363126; Package coreutils. Full text and rfc822 format available.

Acknowledgement sent to "Mundi King" <kingmundi@hotmail.com>:
New Bug report received and forwarded. Copy sent to Michael Stone <mstone@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Mundi King" <kingmundi@hotmail.com>
To: submit@bugs.debian.org
Subject: coreutils who automaticallly invokes --lookup
Date: Mon, 17 Apr 2006 19:12:07 +0000
Package: coreutils
Version: 5.2.1-2


When I invoke who, it displays the FQDN even though I did not
inovke the --lookup switch.

The documentation clearly states that it should only respond
with the ip address.





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#363126; Package coreutils. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 363126@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: Mundi King <kingmundi@hotmail.com>, 363126@bugs.debian.org
Subject: Re: Bug#363126: coreutils who automaticallly invokes --lookup
Date: Mon, 17 Apr 2006 19:08:54 -0400
On Mon, Apr 17, 2006 at 07:12:07PM +0000, Mundi King wrote:
>When I invoke who, it displays the FQDN even though I did not
>inovke the --lookup switch.
>
>The documentation clearly states that it should only respond
>with the ip address.

Where?

Mike Stone



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#363126; Package coreutils. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@mathom.us>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. Full text and rfc822 format available.

Message #15 received at 363126@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@mathom.us>
To: Mundi King <kingmundi@hotmail.com>
Cc: 363126@bugs.debian.org
Subject: Re: Bug#363126: coreutils who automaticallly invokes --lookup
Date: Tue, 18 Apr 2006 15:52:48 -0400
On Tue, Apr 18, 2006 at 06:50:24PM +0000, you wrote:
>`--lookup'
>     Attempt to canonicalize hostnames found in utmp through a DNS
>     lookup.  This is not the default because it can cause significant
>     delays on systems with automatic dial-up internet access.

That does not say that it displays an ip. The wtmpx file stores both a 
hostname and an IP. If you use --lookup it tries to resolve the IP and 
display a canonical dns hostname. If you do not use --lookup it will 
display whatever is in the wtmpx hostname field. (Which may or may not 
be the canonical hostname; there is a length limit, and some programs 
may not log the full hostname.) A future enhancement request might be an 
option to display the IP instead of the hostname.

Mike Stone



Reply sent to Michael Stone <mstone@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Mundi King" <kingmundi@hotmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 363126-close@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: 363126-close@bugs.debian.org
Subject: Bug#363126: fixed in coreutils 5.96-3
Date: Sat, 27 May 2006 14:02:46 -0700
Source: coreutils
Source-Version: 5.96-3

We believe that the bug you reported is fixed in the latest version of
coreutils, which is due to be installed in the Debian FTP archive:

coreutils_5.96-3.diff.gz
  to pool/main/c/coreutils/coreutils_5.96-3.diff.gz
coreutils_5.96-3.dsc
  to pool/main/c/coreutils/coreutils_5.96-3.dsc
coreutils_5.96-3_i386.deb
  to pool/main/c/coreutils/coreutils_5.96-3_i386.deb
fileutils_5.96-3_all.deb
  to pool/main/c/coreutils/fileutils_5.96-3_all.deb
shellutils_5.96-3_all.deb
  to pool/main/c/coreutils/shellutils_5.96-3_all.deb
textutils_5.96-3_all.deb
  to pool/main/c/coreutils/textutils_5.96-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 363126@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Stone <mstone@debian.org> (supplier of updated coreutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 27 May 2006 14:05:44 -0400
Source: coreutils
Binary: shellutils coreutils fileutils textutils
Architecture: source all i386
Version: 5.96-3
Distribution: unstable
Urgency: low
Maintainer: Michael Stone <mstone@debian.org>
Changed-By: Michael Stone <mstone@debian.org>
Description: 
 coreutils  - The GNU core utilities
 fileutils  - The GNU file management utilities (transitional package)
 shellutils - The GNU shell programming utilities (transitional package)
 textutils  - The GNU text file processing utilities (transitional package)
Closes: 363126
Changes: 
 coreutils (5.96-3) unstable; urgency=low
 .
   * Follow strategy from Ian Jackson to better deal with the dpkg md5sum
     mess. Only remove dpkg's mad md5sum diversion `once' (ie, on upgrade
     from non-/usr/bin/md5sum-supplying coreutils).  This preserves any later
     sysadmin-installed diversions of md5sum.textutils.
   * Add NEWS.Debian notes on the POSIX2_VERSION change
   * add who --ips option to display IPs instead of hostnames. Code taken
     from last.c in sysvinit-2.86.ds1.
     Closes: #363126
Files: 
 58407bd55a5ba6fa1e3c9ce136d5f868 966 utils required coreutils_5.96-3.dsc
 fef6b8b271f4b7daef9ae0f991af2826 47840 utils required coreutils_5.96-3.diff.gz
 889c977153f0abeaaa0981172b817f57 10646 oldlibs extra textutils_5.96-3_all.deb
 c27afe1fc2b178251f3d89493cdf1195 10642 oldlibs extra fileutils_5.96-3_all.deb
 98bb0ec4f45ab9d42940637894374c64 10642 oldlibs extra shellutils_5.96-3_all.deb
 e1a53acc0faefeb82caf0c76a97bd540 3053678 utils required coreutils_5.96-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iQCVAwUBRHip4g0hVr09l8FJAQKSRwP/SUZsMuR7v8/sd1xLoig7NsRY12hxdIo/
jtRCVLK1Tjafl6dbufGSHHTkOx+V2oRLHmpIahIw1iSWXJBgDarQtkJ281zp94QU
hG2w1PVSRIJ+rfekW1sVgRH8dOUx1I3w2ifK7u75xfHNWqrhFVS6P8J+aHbyYipl
bj402QpGSwk=
=Jhhd
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 23:52:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:52:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.